<div id="smiliesdiv">
	<div class="smileytabs">
	<ul id="smileytypes" class="tabs">
		<!--{loop $_DCACHE['smileytypes'] $smiletypeid $type}-->
			<li{if $stypeid == $smiletypeid} class="current"{/if}><a href="###" onclick="ajaxget('post.php?action=smilies&stypeid=$smiletypeid&inajax=1', 'smiliesdiv')">$type[name]</a></li>
		<!--{/loop}-->
	</ul>
		<span><img id="" alt="{lang post_smilies_scrollup}" title="{lang post_smilies_scrollup}" src="images/common/smilie_contract.gif" onclick="smiletypescroll(0)" /><img id="" alt="{lang post_smilies_scrolldown}" title="{lang post_smilies_scrolldown}" src="images/common/smilie_expand.gif" onclick="smiletypescroll(1)" /></span>
	</div>
	<table summary="smilies" cellpadding="0" cellspacing="0" style="clear: both;">
	<tr align="center">
	<!--{eval $i=0;}-->
	<!--{loop $smilies $key $smiley}-->
	        <!--{if $i >= $smcols * $smrows}--><!--{eval break;}--><!--{/if}-->
	        <!--{if !($i % $smcols)}--><!--{if $i}--></tr><!--{/if}--><tr height="<!--{echo ($smthumb + 6);}-->"><!--{/if}-->
	        <td align="center" id="smilie_{$key}_parent" onMouseover="smileyMenu(this)" onClick="insertSmiley($key)"><img src="images/smilies/$_DCACHE[smileytypes][$_DCACHE[smilies][typearray][$key]][directory]/$smiley[url]" id="smilie_$key" alt="$smiley[code]" title="$smiley['lw']" width="$smiley['w']" height="$smiley['h']" border="0" /></td>
	        <!--{eval $i++;}-->
	<!--{/loop}-->
	</tr>
	<!--{if ceil($i/$smcols) < $smrows}--><!--{echo str_repeat('<tr height="'.($smthumb + 6).'"><td colspan="'.$smrows.'"></td></tr>', $smrows - ceil($i/$smcols));}--><!--{/if}-->
	</table>
	
	<div id="smilepagediv">$sm_multipage</div>
</div>
<script type="text/javascript">
<!--{if !empty($scrollt)}-->
	$('smileytypes').scrollTop = $scrollt;
<!--{/if}-->
if(typeof smilies_init == 'undefined') {
	var obj = $('smilepagediv');
	var objs = obj.getElementsByTagName('A');
	for(k in objs) {
		var o = objs[k];
		if(o && o.setAttribute) {
			o.setAttribute('ajaxtarget', 'smiliesdiv');
			o.setAttribute('ajaxevent', 'click');
			o.setAttribute('ajaxurl', o.href);
			o.setAttribute('ajaxwaitid', 'smiliesdiv');
			o.setAttribute('ajaxloading', null);
			o.setAttribute('ajaxfunc', null);
			ajaxupdateevent(o);
		}
	}
	smilies_init = true;
}
</script>

